Bug 649163 - Digital Out from on board SPDIF Broken by F14
Digital Out from on board SPDIF Broken by F14
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 23:11 EDT by monz
Modified: 2012-08-16 14:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Alsa info (21.95 KB, text/plain)
2010-11-02 23:11 EDT, monz
no flags Details
pulse audio default file (4.71 KB, application/octet-stream)
2010-11-02 23:14 EDT, monz
no flags Details
asound conf file (334 bytes, application/octet-stream)
2010-11-02 23:15 EDT, monz
no flags Details
output of pulseaudio -vvvvv (75.99 KB, text/plain)
2010-11-03 08:25 EDT, monz
no flags Details

  None (edit)
Description monz 2010-11-02 23:11:42 EDT
Created attachment 457339 [details]
Alsa info

Description of problem:

F14 Clean install - Onboard HDA-Intel card identified correctly and sound works from headphone jack as well as external speaker plug. SPDIF cable connected from SPDIF output into nvidia 8600GT video card which sends video signal via HDMI port to TV. No sound is coming through. F13 had no issues and all was well. No hardware change from f13 to f14


Version-Release number of selected component (if applicable): 
Pulse Audio 0.9.21

How reproducible:
Constant problem, no sound from HDMI

Steps to Reproduce:
1. SPDIF cable to video card
2. Fresh intall F14

  
Actual results:

No sound at all over HDMI

Expected results:

Sound to play over HDMI on tv just like in F13

Additional info:

Alsa 1.0.23
Latest NVIDIA drivers via yum update (260 series drivers)

-relevant alsa-info attached
Comment 1 monz 2010-11-02 23:14:05 EDT
Created attachment 457340 [details]
pulse audio default file
Comment 2 monz 2010-11-02 23:15:02 EDT
Created attachment 457341 [details]
asound conf file
Comment 3 monz 2010-11-03 08:25:55 EDT
Created attachment 457418 [details]
output of pulseaudio -vvvvv
Comment 4 monz 2010-11-15 09:28:28 EST
F14 blown away and replaced with F12, standard install - followed these steps

1. Install F12
2. Upgrade all components.
3. Install kmod-nvidia 190 drivers from rpm fusion
4. edit asound.conf and add:

    pcm.!default {
     type hw
     card 0
     device 1
    }

5. edit alsa-base.conf and add
   
    options snd-hda-intel model=3stack-6ch-dig

6. reboot
7. all is well.

currently pre-upgrading to f13 to see if that still works.
Comment 5 Lennart Poettering 2010-11-21 20:41:32 EST
Have you used gnome-volume-control to select the right sound card as default in the right setup?
Comment 6 monz 2010-11-23 08:28:15 EST
gnome-volume-control was used and the sound card correctly identified. Every possible profile combination was tried with no resulting sound from HDMI. 

Currently, F12 profile selected is "Digital Stereo (IEC958) Output + Analog Stereo Input", this is working well now, but on f14 would not output sound via HDMI cable.
Comment 7 monz 2010-11-23 08:29:11 EST
(In reply to comment #5)
> Have you used gnome-volume-control to select the right sound card as default in
> the right setup?

gnome-volume-control was used and the sound card correctly identified. Every
possible profile combination was tried with no resulting sound from HDMI. 

Currently, F12 profile selected is "Digital Stereo (IEC958) Output + Analog
Stereo Input", this is working well now, but on f14 would not output sound via
HDMI cable.

sorry for the double post.
Comment 8 Lennart Poettering 2010-11-24 20:43:11 EST
hmm, i don't get this. does hdmi not work or spdif?
Comment 9 monz 2010-11-25 16:17:22 EST
(In reply to comment #8)
> hmm, i don't get this. does hdmi not work or spdif?

SPDIF is broken and since my setup connects the spdif out on my motherboard to my video card, hdmi has no audio.

You can see from the info above, the setup is as correct as possible, yet spdif still has no output. This is in contrast to f12 which worked immediately.

So while f14 correctly identifies the sound card as well as spdif capabilities, it is not sending any output to spdif, that is why there is no resulting audio via HDMI in my setup, had I been connecting to an external amp, that amp wouldn't be receiving any signal.
Comment 10 monz 2010-12-30 09:12:01 EST
I think this bug is 100% confirmed.

I just re-downloaded fedora 14 iso and fresh install with default kernel 2.6.35.6.45.

I updated the system immediately after install and it took me to kernel version 2.6.35.10-74 and everything else that came along with it.

enabled RPM Fusion repo and installed kmod-nvidia 260 drivers, I then rebooted and edited asound.conf and alsa-base.conf as per above post. 

Rebooted, selected sound card profile as above from pulse-audio volume control and nothing.... still no sound in F14 over spdif. f12 has no problems.

Any investigations into this issue yet?
Comment 11 romainguinot 2011-01-22 08:57:11 EST
I'm having a similar problem myself. 

Linked to : https://bugzilla.kernel.org/show_bug.cgi?id=24342

SPDIF out worked fine up to 2.6.35.6-48.fc14.x86_64 included. all released kernels after that have the bug (no sound), with the exact same pulse config : 

load-module module-alsa-sink device=spdif:0 sink_name=spdif

My motherboard is an asus rampage iii extreme. 
I send the SPDIF out to my Denon AV amp. 

For now i have pinned down kernel updates in yum.conf : 

exclude=kernel,kernel-devel,kernel-headers,perf
Comment 12 monz 2011-01-23 19:46:26 EST
You are correct, this does seem identical to https://bugzilla.kernel.org/show_bug.cgi?id=24342 for now I am stuck with F12.
Comment 13 Ronny Buchmann 2011-03-22 17:26:05 EDT
@monz

could you try with 2.6.35.6-48 kernel and default config to see if it is the same problem as in https://bugzilla.kernel.org/show_bug.cgi?id=24342 / fedora bug 682480 ?
Comment 14 Ronny Buchmann 2011-04-05 13:43:46 EDT
please try kernel-2.6.35.12-88.fc14 in updates-testing
Comment 15 romainguinot 2011-04-09 13:57:52 EDT
SPDIF Out is working again with kernel-2.6.35.12-88.fc14 from updates-testing.

Good stuff. Thanks !
Comment 16 Fedora End Of Life 2012-08-16 14:57:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.